<template>
	<view class="page">
		<web-view :webview-styles="webviewStyles" :src="webUrl"></web-view>
	</view>
</template>

<script>
export default {
	data() {
		// 页面数据变量
		return {
			webUrl: ''
		}
	},
	onPageScroll(e) {
	},
	// 监听 - 页面每次【加载时】执行(如：前进)
	onLoad(params) {
		let r = Math.random()
		this.webUrl = params.url ? `${unescape(params.url)}?r=${r}` : `https://h5.fangpiaovip.com?r=${r}`
		// this.webUrl = params.url ? `${params.url}?r=${r}` : `https://h5.fangpiaovip.com?r=${r}`
	},
	// 监听 - 页面【首次渲染完成时】执行。注意如果渲染速度快，会在页面进入动画完成前触发
	onReady() {
		
	},
	// 监听 - 页面每次【显示时】执行(如：前进和返回) (页面每次出现在屏幕上都触发，包括从下级页面点返回露出当前页面)
	onShow() {
	},
	// 监听 - 页面每次【隐藏时】执行(如：返回)
	onHide() {},
	// 监听 - 页面触底部
	onReachBottom() {},
	// 监听 - 窗口尺寸变化(仅限:App、微信小程序)
	onResize() {},
	// 监听 - 点击右上角转发时
	onShareAppMessage(options) {},
	// 监听 - 页面创建时
	created() {},
	// 函数
	methods: {
	},
	// 监听器
	watch: {},
	// 计算属性
	computed: {}
};
</script>
<style lang="scss" scoped>
.page {
	min-height: calc(100vh);
}
</style>
